import * as forge from 'node-forge';
import { ForgeMessageDigest, GenerateHash } from '../../../../code/type/index.js';
export declare function generateHash(source: GenerateHash): any;
export declare function createMessageDigest(input: {
    class: ForgeMessageDigest;
}): forge.md.sha1.MessageDigest | forge.md.sha256.MessageDigest | forge.md.sha512.Sha384MessageDigest | forge.md.sha512.Sha512224MessageDigest | forge.md.sha512.Sha512256MessageDigest | forge.md.sha512.Sha512MessageDigest;
export declare function updateMessageDigest(digest: any, { content }: {
    content: string | ArrayBuffer;
}): void;
export declare function stringifyMessageDigest(digest: any): any;
